#!/bin/bash

set -e

# download
VERSION=`cat /opt/flexim/version.txt`
URL="https://devel.flea.cz/flexim/${VERSION}"
TMP_DIR="/opt/flexim/tmp"

cd ${TMP_DIR}
wget "${URL}/topeni-server.war"
wget "${URL}/topeni-client-swing-http.zip"
wget "${URL}/topeni-webapp.zip"

sudo systemctl stop tomcat-opt

cd /opt/flexim

# server
rm -rf webapps/topeni-server/*
unzip -q -d webapps/topeni-server ${TMP_DIR}/topeni-server.war
rm ${TMP_DIR}/topeni-server.war

# swing client
rm -rf webapps/topeni-client/*
unzip -q -d webapps/topeni-client ${TMP_DIR}/topeni-client-swing-http.zip
rm ${TMP_DIR}/topeni-client-swing-http.zip

# web client
rm -rf webapps/ROOT/topeni-webapp/*
unzip -q -d webapps/ROOT/topeni-webapp ${TMP_DIR}/topeni-webapp.zip
rm ${TMP_DIR}/topeni-webapp.zip

# set IP address
export IP=`ip address show dev eth0 | perl -ne 'print $1 if /inet (.*)\//'`
pushd webapps/topeni-client
perl -pe \
's/^(appbase\s*=\s*).*/$1http:\/\/$ENV{"IP"}:8080\/topeni-client\//;
 s/^(jvmarg\s*=\s*-Dtopeni.url=).*/$1http:\/\/$ENV{"IP"}:8080\/topeni-server/' -i getdown.txt
./digest.sh
popd

sudo systemctl start tomcat-opt
sudo systemctl enable tomcat-opt
